import { afterAll, binding } from 'cucumber-tsflow';
import { until } from 'selenium-webdriver';

import { WebDriver } from '../../common/WebDriver';
import { Navigation } from '../../pages/components/Navigation';

@binding([])
export class SessionSteps {
	@afterAll()
	protected async closeBrowser() {
		const driver = new WebDriver().getDriver();
		await driver.quit();
	}

	@afterAll()
	protected async logout() {
		const driver = new WebDriver().getDriver();
		const webElements = await driver.findElements(new Navigation().logoutLink);
		if (webElements.length > 0) {
			await webElements[0]?.click?.();
			await driver.wait(until.urlContains(`${process.env.HOST_IP}:${process.env.APP_PORT}`));
		}
	}
}
